# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/pkg-config gcc-c++ pkgconfig(gstreamer-plugins-base-0.10)
# END SourceDeps(oneline)
Name:           moodbar
Version:        0.1.2
Release:        alt1_10
Summary:        Identifies the "mood" of your music files

Group:          Sound
License:        GPLv2+
URL:            http://amarok.kde.org/wiki/Moodbar
Source0:        http://pwsp.net/~qbob/moodbar-%{version}.tar.gz

# Fix a Glib crash, patch from Debian
Patch0:         moodbar-0.1.2-glib.patch


BuildRequires:  gstreamer-devel libfftw3-devel
Source44: import.info

%description
Moodbar is a program that takes a music file and generates a .mood file
identifying the "mood" of the music.
Amarok can then use it to figure out when something interesting happens
in the song.

%prep
%setup -q
%patch0 -p1 -b .glib


%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-*/libmoodbar.la


%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_libdir}/gstreamer-*/libmoodbar.so


%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.2-alt1_10
- initial fc import

